{
  "custom": {},
  "params": {
    "configuring": false,
    "equipmentPath": "",
    "runLookbackCount": 0,
    "timePeriod": "",
    "title": "OEE Time Chart"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.timePeriodIn \u003d viewParams.timePeriod\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.timePeriod \u003d configParams.timePeriodOut\n\t\tviewParams.title \u003d configParams.titleOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.runLookbackCount": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.timePeriod": {
      "paramDirection": "inout"
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 500,
      "width": 1200
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "timePeriodIn": "Start of Run",
            "timePeriodOut": "Start of Run",
            "titleIn": "OEE Time Chart",
            "titleOut": "OEE Time Chart"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Time Period, Title"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "oeeTimeChart"
            },
            "position": {
              "basis": "300px",
              "grow": 1
            },
            "propConfig": {
              "props.endDate": {
                "binding": {
                  "config": {
                    "expression": "now(60000)"
                  },
                  "type": "expr"
                },
                "persistent": true
              },
              "props.linePath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "overlayOptOut": true,
                  "type": "property"
                },
                "persistent": true
              },
              "props.startDate": {
                "binding": {
                  "config": {
                    "path": "this.props.endDate"
                  },
                  "transforms": [
                    {
                      "code": "\treturn system.date.addHours(value,-2)",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                },
                "persistent": true
              },
              "props.title": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "transforms": [
                    {
                      "expression": "upper({value})",
                      "type": "expression"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "endDate": {
                "$": [
                  "ts",
                  192,
                  1737765520839
                ],
                "$ts": 1737765520839
              },
              "showEquipmentMode": false,
              "showProductionSchedule": false,
              "sidebarWidth": 200,
              "startDate": {
                "$": [
                  "ts",
                  192,
                  1737765520840
                ],
                "$ts": 1737758320839
              },
              "timelineHeaderStyle": {
                "backgroundColor": "#004A98",
                "fontSize": 15,
                "fontWeight": "normal"
              },
              "timelineItemStyles": {
                "modeStyles": {
                  "modeChangeoverStyle": {
                    "backgroundColor": "#D48232"
                  },
                  "modeProductionStyle": {
                    "backgroundColor": "#4C9C2E"
                  }
                },
                "stateStyles": {
                  "stateBlockedStyle": {
                    "backgroundColor": "#D48232",
                    "borderWidth": 0
                  },
                  "stateChangeoverStyle": {
                    "backgroundColor": "#D48232",
                    "borderWidth": 0
                  },
                  "stateCleaningStyle": {
                    "backgroundColor": "#1673A2",
                    "borderWidth": 0
                  },
                  "stateIdleStyle": {
                    "backgroundColor": "#B2B1AF",
                    "borderWidth": 0
                  },
                  "stateMaintenanceStyle": {
                    "backgroundColor": "#2D2A26",
                    "borderWidth": 0
                  },
                  "statePlannedDTStyle": {
                    "backgroundColor": "#004A98",
                    "borderWidth": 0
                  },
                  "stateRunningStyle": {
                    "backgroundColor": "#4C9C2E",
                    "borderWidth": 0
                  },
                  "stateStarvedStyle": {
                    "backgroundColor": "#62CBC9",
                    "borderWidth": 0
                  },
                  "stateUnknownStyle": {
                    "backgroundColor": "#779800",
                    "borderWidth": 0
                  },
                  "stateUnplannedDTStyle": {
                    "backgroundColor": "#EC1C24",
                    "borderWidth": 0
                  }
                }
              },
              "timelineStyle": {
                "fontSize": 13
              },
              "tooltipStyle": {
                "fontFamily": "Verdana",
                "fontSize": "13px"
              },
              "updateInterval": 30000
            },
            "type": "mes.oee.timeChart"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "direction": "column"
        },
        "type": "ia.container.flex"
      }
    ],
    "events": {
      "system": {
        "onStartup": {
          "config": {
            "script": "\tself.getChild(\"runtime\").getChild(\"oeeTimeChart\").props.startDate \u003d system.date.now()"
          },
          "scope": "G",
          "type": "script"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}